package cn.kdan.pdf.tech.core.controller;

import cn.kdan.pdf.tech.core.pojo.vo.ProductListVO;
import cn.kdan.pdf.tech.core.pojo.vo.ProductSimpleVO;
import cn.kdan.pdf.tech.core.service.ProductService;
import constant.CommonConstant;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import pojo.ResultMap;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("/product")
public class ProductController {

    @Resource
    private ProductService productService;


    /**
     * 获取团队下的产品
     *
     * @param teamId 团队id
     * @return List
     */
    @GetMapping("/listWithSimpleInfo")
    public ResultMap<List<ProductSimpleVO>> listWithSimpleInfo(@RequestParam String teamId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, productService.listWithSimpleInfo(teamId));
    }


    @GetMapping("/listWithAdmin")
    public ResultMap<List<ProductListVO>> listWithAdmin() {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, productService.listWithAdmin());
    }

    @GetMapping("/listWithAll")
    public ResultMap<List<ProductListVO>> listWithAll() {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, productService.listWithAll());
    }

    @GetMapping("/purchasedProductList")
    public ResultMap<List<ProductListVO>> purchasedProductList() {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, productService.purchasedProductList());
    }
}
