package cn.kdan.pdf.tech.core.enums;

/**
 * 用户状态枚举类
 *
 * @author tangxiangan
 */
public enum SSOMemberStatusEnum {

    DELETED("0","Deleted"),
    VALID_ACCESS("1","Valid Access"),
    REVOKED("2","Revoked");

    private String code;

    private String value;

    SSOMemberStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }


    public static SSOMemberStatusEnum getEnumByCode(String code) {
        for (SSOMemberStatusEnum type : SSOMemberStatusEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public String code() {
        return code;
    }

    public String value() {
        return value;
    }
}
