package cn.kdan.pdf.tech.core.pojo.vo;

import cn.kdan.pdf.tech.core.converter.AutoWrapConverter;
import cn.kdan.pdf.tech.core.converter.DeviceStatusConverter;
import cn.kdan.pdf.tech.core.converter.MemberStatusConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.BooleanEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * @author tangxiangan
 */
@Data
@ContentStyle(
        wrapped = BooleanEnum.TRUE)
public class VppTeamMemberVO implements Serializable {

    @ExcelIgnore
    private String id;

    @ExcelProperty(value = "Member Name")
    @ColumnWidth(34)
    private String fullName;

    @ExcelProperty(value = "Member Email")
    @ColumnWidth(34)
    private String email;

    @ExcelProperty(value = "Team")
    @ColumnWidth(34)
    private String teamName;

    @ExcelProperty(converter = MemberStatusConverter.class,value = "Status")
    @ColumnWidth(34)
    private String validFlag;

    @ExcelProperty(converter = AutoWrapConverter.class,value = "Assigned Product")
    @ColumnWidth(70)
    private String productNames;

    @ExcelIgnore
    private String createdAt;

    @ExcelIgnore
    private String loginTime;
    @ExcelIgnore
    private String updatedAt;

    @ExcelIgnore
    private String codes;

    @ExcelIgnore
    private Integer isSso;

}
