package cn.kdan.pdf.tech.core.pojo.vo;

import cn.kdan.pdf.tech.core.converter.AutoWrapConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.BooleanEnum;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ContentStyle(
        wrapped = BooleanEnum.TRUE)
public class VppTeamVO {
    @ExcelIgnore
    private String id;

    /**
     * 团队名
     */
    @ExcelProperty("Team Name")
    @ColumnWidth(34)
    private String name;

    /**
     * 团队成员数量
     */
    @ExcelProperty("Team Members")
    @ColumnWidth(34)
    private Integer memberAmount;

    /**
     * 团队序列码数量
     */
    @ExcelProperty("License Amount")
    @ColumnWidth(34)
    private Integer licenseAmount;

    /**
     * 团队描述
     */
    @ExcelProperty("Team Description")
    @ColumnWidth(34)
    private String description;

    /**
     * 可激活设备量
     */
    @ExcelProperty("Remaining Activatable Devices")
    @ColumnWidth(34)
    private Integer availableDevices;
    /**
     * 已激活设备量
     */
    @ExcelProperty("Number of Activated Devices")
    @ColumnWidth(34)
    private Integer activatedDevices;

    /**
     * 团队管理员
     */
    @ExcelIgnore
    private List<String> teamAdmin;

    @JsonIgnore
    @ExcelProperty(converter = AutoWrapConverter.class,value = "Team Admin")
    @ColumnWidth(50)
    private String teamAdmins;

    /**
     * 创建时间
     */
    @ExcelProperty("Created date")
    @ColumnWidth(34)
    private String createTime;

    /**
     * 是否可更改
     */
    @ExcelIgnore
    private Integer isChange;
    @ExcelIgnore
    private Integer type;

}
