package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.model.Directory;
import cn.kdan.pdf.tech.core.pojo.dto.DirectoryCreateDTO;
import cn.kdan.pdf.tech.core.pojo.dto.DirectoryUpdateDTO;
import cn.kdan.pdf.tech.core.pojo.vo.DirectoryVO;

import java.util.List;

public interface DirectoryService {
    /**
     * 查询公司所有目录
     * @return List
     */
    List<DirectoryVO> list();

    /**
     * 创建目录
     * @param directoryVO 目录vo
     * @return Directory
     */
    Directory create(DirectoryCreateDTO directoryVO);

    /**
     * 删除目录
     * @param directoryId directoryId
     */
    void delete(String directoryId);

    /**
     * 更新
     *
     * @param directoryUpdateDTO directoryUpdateDTO
     */
    void update(DirectoryUpdateDTO directoryUpdateDTO);

    Directory getById(String directoryId);

    void updateSelective(Directory directory);
}
