package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.params.VerifyParam;
import cn.kdan.pdf.tech.core.pojo.oemVo.OemMemberVO;
import cn.kdan.pdf.tech.core.pojo.vo.ActivationVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author tangxiangan
 */
public interface OEMService {

    /**
     * 操作OEM用户
     *
     * @param email       邮箱
     * @param companyId   公司id
     * @param productCode 产品id
     * @param price
     */
    OemMemberVO operateOEMUser(String email, String companyId, String productCode, Double price);

    List<String> generateCode(String companyId, String productCode, Integer number);

    /**
     * 设备激活
     * @param verifyParam 激活参数
     * @return ActivationVO
     */
    ActivationVO activation(VerifyParam verifyParam);

    ActivationVO verify(VerifyParam verifyParam);

    void deleteOEMUser(String email, String companyId);


    void cancel(VerifyParam verifyParam);
}
