package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.pojo.MSGroup;
import cn.kdan.pdf.tech.core.pojo.dto.AddSyncDTO;

import java.util.List;

public interface SyncService {
    /**
     * 添加同步设置
     * @param syncDTO syncDTO
     */
    void addSyncSettings(AddSyncDTO syncDTO);

    /**
     * 开始同步
     * @param directoryId directoryId
     */
    void startSync(String directoryId);

    /**
     * 获取微软的组列表
     * @param clientId clientId
     * @param tenantId tenantId
     * @param clientSecret clientSecret
     * @return
     */
    List<MSGroup> getGroupList(String clientId, String tenantId, String clientSecret, String queryString);
}
