package cn.kdan.pdf.tech.core.service.impl;

import cn.kdan.pdf.tech.core.mapper.CompanyMapper;
import cn.kdan.pdf.tech.core.model.*;
import cn.kdan.pdf.tech.core.service.CompanyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;

@Slf4j
@Service
public class CompanyServiceImpl implements CompanyService {

    @Autowired
    private CompanyMapper companyMapper;

    @Override
    public String isValidApiKey(String publicKey, String secretKey){
        CompanyExample example = new CompanyExample();
        example.createCriteria().andPublicKeyEqualTo(publicKey);
        List<Company> company = companyMapper.selectByExample(example);
        if(CollectionUtils.isEmpty(company)){
            return null;
        }
        if(!company.get(0).getSecretKey().equals(secretKey)){
            return null;
        }
        //检查当前时间是否超过公司的有效时间
        if(new Date().after(company.get(0).getEndTime())){
            return null;
        }
        return company.get(0).getId();
    }

    @Override
    public String getCurrentCompany(String publicKey){
        CompanyExample example = new CompanyExample();
        example.createCriteria().andPublicKeyEqualTo(publicKey);
        List<Company> company = companyMapper.selectByExample(example);
        if(CollectionUtils.isEmpty(company)){
            return null;
        }
        return company.get(0).getId();
    }
}
