package cn.kdan.pdf.tech.core.service.impl;

import cn.kdan.pdf.tech.core.mapper.DirectorySyncMapper;
import cn.kdan.pdf.tech.core.model.DirectorySync;
import cn.kdan.pdf.tech.core.model.DirectorySyncExample;
import cn.kdan.pdf.tech.core.service.DirectorySyncService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class DirectorySyncServiceImpl implements DirectorySyncService {
    @Resource
    private DirectorySyncMapper directorySyncMapper;

    @Override
    public List<DirectorySync> listByDirectoryId(String directoryId) {
        DirectorySyncExample syncExample = new DirectorySyncExample();
        syncExample.createCriteria().andDirectoryIdEqualTo(directoryId);
        syncExample.setOrderByClause("sync_time desc");
        List<DirectorySync> list = directorySyncMapper.selectByExample(syncExample);
        return CollectionUtils.isEmpty(list) ? new ArrayList<>() : list;
    }

    @Override
    public void create(DirectorySync directorySync) {
        directorySyncMapper.insert(directorySync);
    }

    @Override
    public void update(DirectorySync directorySync) {
        directorySyncMapper.updateByPrimaryKeySelective(directorySync);
    }
}
