
package cn.kdan.pdf.tech.core.service.impl;

import cn.kdan.pdf.tech.core.mapper.OemMemberMapper;
import cn.kdan.pdf.tech.core.model.Members;
import cn.kdan.pdf.tech.core.model.OemMember;
import cn.kdan.pdf.tech.core.model.OemMemberExample;
import cn.kdan.pdf.tech.core.service.OemMemberService;
import enums.ValidStatusEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

@Slf4j
@Service
public class OemMemberServiceImpl implements OemMemberService {

    @Autowired
    private OemMemberMapper memberMapper;

    @Override
    public OemMember getByEmail(String email, String companyId){
       OemMemberExample example = new OemMemberExample();
       example.createCriteria().andEmailEqualTo(email).andCompanyIdEqualTo(companyId).andValidFlagEqualTo(ValidStatusEnum.VALID.value());
       memberMapper.selectByExample(example);
       if(!CollectionUtils.isEmpty(memberMapper.selectByExample(example))){
           return memberMapper.selectByExample(example).get(0);
       }
       return null;
    }


    @Override
    public void insert(OemMember member){
        memberMapper.insert(member);
    }

    @Override
    public void update(OemMember member) {
        memberMapper.updateByPrimaryKeySelective(member);
    }
}
