package cn.kdan.pdf.tech.core.service.impl;

import cn.kdan.pdf.tech.core.mapper.ext.ExtVppDeviceMapper;
import cn.kdan.pdf.tech.core.model.VppMember;
import cn.kdan.pdf.tech.core.pojo.dto.SetGeneralDTO;
import cn.kdan.pdf.tech.core.service.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 设置接口
 * @author Bob
 */
@Slf4j
@Service
public class VppSetServiceImpl implements VppSetService {

    @Autowired
    private VppMemberService memberService;

    @Override
    public void setGeneral(SetGeneralDTO dto) {
        VppMember member = memberService.getCurrentUser();
        member.setFullName(dto.getUserName());
        member.setArea(dto.getArea());
        member.setUpdatedAt(new Date());
        memberService.update(member);
    }

}
