package cn.kdan.pdf.tech.core.utils;

import org.springframework.web.multipart.MultipartFile;

import java.util.Objects;

/**
 * @author Bob
 * @desc 文件工具类
 */
public class FileUtil {
	
	/**
	 * @author Bob
	 * @desc 判断是否是excel文件
	 */
	public static boolean isExcel(MultipartFile file) {
		String s = Objects.requireNonNull(file.getOriginalFilename());
		boolean flag = false;
		flag = s.endsWith(".xls");
		if (flag) {
			return true;
		}
		return s.endsWith(".xlsx");
	}

	/**
	 * @author Bob
	 * @desc 判断是否为老版本excel文件(非xlsx文件)
	 */
	public static boolean isExcelOld(MultipartFile file) {
		return Objects.requireNonNull(file.getOriginalFilename()).endsWith(".xls");
	}

}
