package cn.kdan.pdf.tech.core.utils;

import cn.kdan.pdf.tech.core.service.SyncService;
import cn.kdan.pdf.tech.core.service.impl.SyncServiceImpl;
import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class SyncJob extends QuartzJobBean implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) {
        // FIXME 通过获取spring的上下文来getBean()就不需要另一种方式注入了
        this.applicationContext = applicationContext;
    }

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        JobDataMap dataMap = jobExecutionContext.getJobDetail().getJobDataMap();
        String directoryId = dataMap.getString("directoryId");
        SyncService syncService = applicationContext.getBean(SyncService.class);
        syncService.startSync(directoryId);
    }
}
